Bug 856086 - Anaconda on LiveCD should use window decorations
Anaconda on LiveCD should use window decorations
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Brian Lane
Fedora Extras Quality Assurance
RejectedNTH
:
Depends On:
Blocks: F18Target-kde
  Show dependency treegraph
 
Reported: 2012-09-11 03:37 EDT by Daniel Vrátil
Modified: 2015-11-01 20:36 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-23 12:43:19 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Daniel Vrátil 2012-09-11 03:37:00 EDT
Description of problem:
Anaconda on LiveCD (KDE spin) does not have window decorations for it's main window or dialogs. This makes it very difficult to move and resize windows.


Version-Release number of selected component (if applicable):
anaconda-18.6.7


How reproducible:
always


Steps to Reproduce:
1. Boot liveCD
2. Start liveinst
  
Actual results:
Installer window does not have title bar or borders

Expected results:
Installer is using KWin


Additional info:
This is Fedora 18 Alpha RC2 KDE spin
Comment 1 Daniel Vrátil 2012-09-11 11:45:28 EDT
Proposed as NTH for F18 Alpha.
Comment 2 Daniel Vrátil 2012-09-11 11:48:35 EDT
KWin is running, all other windows are decorated correctly, except for Anaconda. 

It was suggested that Anaconda probably gives wrong WM hints, which might work OK in Metacity (didn't test), but not in KWin.
Comment 3 Adam Williamson 2012-09-12 15:13:32 EDT
Discussed at 2012-09-12 NTH review meeting. Rejected as NTH: this seems too unimportant a bug to break freeze for. None of the newUI dialogs particularly need to be interacted with via WM controls.

Note You need to log in before you can comment on or make changes to this bug.